make all --print-data-base --no-builtin-variables --no-builtin-rules --question
make main
# GNU Make 4.3
# Built for x86_64-pc-linux-gnu
# Copyright (C) 1988-2020 Free Software Foundation, Inc.
# License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

# Make data base, printed on Wed Oct 13 16:56:58 2021

# Variables

# environment
GDK_BACKEND = x11
# environment
LC_ALL = C
# environment
NO_AT_BRIDGE = 1
# environment
I3SOCK = /run/user/1000/i3/ipc-socket.1133
# environment
VSCODE_IPC_HOOK_EXTHOST = /run/user/1000/vscode-ipc-e4b27aa9-2b19-4286-8366-2e7a879372cc.sock
# environment
VSCODE_CWD = /home/tgodden
# environment
WINDOWPATH = 1
# makefile (from 'Makefile', line 2)
O = -g -Wall `sdl2-config --cflags --libs`
# default
MAKE_COMMAND := make
# automatic
@D = $(patsubst %/,%,$(dir $@))
# environment
VSCODE_HANDLES_UNCAUGHT_ERRORS = true
# default
.VARIABLES := 
# environment
PWD = /home/tgodden/Lessen/Informatica/MacTemplate
# automatic
%D = $(patsubst %/,%,$(dir $%))
# environment
MAIL = /var/spool/mail/tgodden
# automatic
^D = $(patsubst %/,%,$(dir $^))
# environment
VSCODE_LOG_STACK = false
# automatic
%F = $(notdir $%)
# environment
VSCODE_CODE_CACHE_PATH = /home/tgodden/.config/Code - OSS/CachedData/ee8c7def80afc00dd6e593ef12f37756d8f504ea
# environment
LANG = C
# environment
XAUTHORITY = /home/tgodden/.Xauthority
# default
.LOADED := 
# default
.INCLUDE_DIRS = /usr/include /usr/local/include /usr/include
# makefile
MAKEFLAGS = pqrRw
# makefile
CURDIR := /home/tgodden/Lessen/Informatica/MacTemplate
# environment
VSCODE_PIPE_LOGGING = true
# environment
APPLICATION_INSIGHTS_NO_DIAGNOSTIC_CHANNEL = true
# automatic
*D = $(patsubst %/,%,$(dir $*))
# environment
MFLAGS = -pqrRw
# default
.SHELLFLAGS := -c
# automatic
+D = $(patsubst %/,%,$(dir $+))
# environment
VSCODE_CRASH_REPORTER_START_OPTIONS = {"companyName":"Microsoft","productName":"Code - OSS","submitURL":"","uploadToServer":false}
# makefile (from 'Makefile', line 1)
MAKEFILE_LIST := Makefile
# automatic
@F = $(notdir $@)
# environment
VSCODE_VERBOSE_LOGGING = true
# environment
VSCODE_PID = 145265
# environment
XDG_SESSION_TYPE = tty
# automatic
?D = $(patsubst %/,%,$(dir $?))
# automatic
*F = $(notdir $*)
# environment
CHROME_DESKTOP = code-oss.desktop
# environment
DBUS_SESSION_BUS_ADDRESS = unix:path=/run/user/1000/bus
# automatic
<D = $(patsubst %/,%,$(dir $<))
# environment
VSCODE_NLS_CONFIG = {"locale":"en-us","availableLanguages":{},"_languagePackSupport":true}
# environment
BREAKPAD_DUMP_LOCATION = /home/tgodden/.config/Code - OSS/exthost Crash Reports
# default
MAKE_HOST := x86_64-pc-linux-gnu
# makefile
SHELL = /bin/sh
# default
MAKECMDGOALS := main
# environment
SHLVL = 2
# environment
MAKELEVEL := 1
# default
MAKE = $(MAKE_COMMAND)
# environment
PATH = /usr/local/sbin:/usr/local/bin:/usr/bin:/usr/lib/jvm/default/bin
# default
MAKEFILES := 
# environment
MOTD_SHOWN = pam
# automatic
^F = $(notdir $^)
# environment
GRADLE_HOME = /usr/share/java/gradle
# environment
INVOCATION_ID = 83c4d49e3cc54c4581f6665fbaf82886
# environment
VSCODE_LOG_NATIVE = false
# automatic
?F = $(notdir $?)
# environment
XDG_SEAT = seat0
# automatic
+F = $(notdir $+)
# environment
ORIGINAL_XDG_CURRENT_DESKTOP = undefined
# 'override' directive
GNUMAKEFLAGS := 
# environment
LOGNAME = tgodden
# environment
XDG_VTNR = 1
# makefile
.DEFAULT_GOAL := all
# environment
SYSTEMD_EXEC_PID = 498
# environment
DISPLAY = :0
# environment
USER = tgodden
# default
MAKE_VERSION := 4.3
# environment
_ = /usr/bin/make
# environment
MOZ_PLUGIN_PATH = /usr/lib/mozilla/plugins
# environment
XDG_RUNTIME_DIR = /run/user/1000
# environment
JOURNAL_STREAM = 8:15878
# environment
XDG_SESSION_CLASS = user
# environment
VSCODE_AMD_ENTRYPOINT = vs/workbench/services/extensions/node/extensionHostProcess
# environment
HOME = /home/tgodden
# environment
ELECTRON_RUN_AS_NODE = 1
# environment
VSCODE_IPC_HOOK = /run/user/1000/vscode-51e3fb82-1.61.0-main.sock
# environment
TERM = linux
# environment
XDG_SESSION_ID = 1
# default
.RECIPEPREFIX := 
# automatic
<F = $(notdir $<)
# default
SUFFIXES := 
# environment
VSCODE_CLI = 1
# environment
ELECTRON_NO_ATTACH_CONSOLE = 1
# default
.FEATURES := target-specific order-only second-expansion else-if shortest-stem undefine oneshell nocomment grouped-target extra-prereqs archives jobserver output-sync check-symlink guile load
# makefile (from 'Makefile', line 1)
CC = clang
# variable set hash-table stats:
# Load=87/1024=8%, Rehash=0, Collisions=3/120=2%

# Pattern-specific Variable Values

# No pattern-specific variable values.

# Directories

# . (device 26, inode 25507333): 13 files, no impossibilities.

# 13 files, no impossibilities in 1 directories.

# Implicit Rules

# No implicit rules.

# Files

drawing.o: drawing.c drawing.h
#  Implicit rule search has not been done.
#  Last modified 2021-10-13 16:55:57.483090967
#  File has been updated.
#  Successfully updated.
#  recipe to execute (from 'Makefile', line 8):
	$(CC) $(O) drawing.c -c -o drawing.o

# Not a target:
drawing.h:
#  Implicit rule search has been done.
#  Last modified 2021-10-12 16:23:21.322011755
#  File has been updated.
#  Successfully updated.

# Not a target:
Makefile:
#  Implicit rule search has been done.
#  Last modified 2021-10-13 16:54:59.169440027
#  File has been updated.
#  Successfully updated.

clean:
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.
#  recipe to execute (from 'Makefile', line 14):
	rm *.o main

# Not a target:
.DEFAULT:
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.

all:
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.
#  recipe to execute (from 'Makefile', line 5):
	$(MAKE) main

# Not a target:
drawing.c:
#  Implicit rule search has been done.
#  Last modified 2021-10-12 16:23:21.322011755
#  File has been updated.
#  Successfully updated.

# Not a target:
main.c:
#  Implicit rule search has been done.
#  Last modified 2021-10-12 16:30:55.894624233
#  File has been updated.
#  Successfully updated.

main: main.c drawing.o
#  Command line target.
#  Implicit rule search has not been done.
#  Last modified 2021-10-13 16:55:57.616425027
#  File has been updated.
#  Successfully updated.
#  recipe to execute (from 'Makefile', line 11):
	$(CC) $(O) $^  -o main -lSDL2_ttf

# files hash-table stats:
# Load=10/1024=1%, Rehash=0, Collisions=0/25=0%
# VPATH Search Paths

# No 'vpath' search paths.

# No general ('VPATH' variable) search path.

# strcache buffers: 1 (0) / strings = 19 / storage = 160 B / avg = 8 B
# current buf: size = 8162 B / used = 160 B / count = 19 / avg = 8 B

# strcache performance: lookups = 34 / hit rate = 44%
# hash-table stats:
# Load=19/8192=0%, Rehash=0, Collisions=0/34=0%
# Finished Make data base on Wed Oct 13 16:56:58 2021

 
# GNU Make 4.3
# Built for x86_64-pc-linux-gnu
# Copyright (C) 1988-2020 Free Software Foundation, Inc.
# License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

# Make data base, printed on Wed Oct 13 16:56:58 2021

# Variables

# environment
GDK_BACKEND = x11
# environment
LC_ALL = C
# environment
NO_AT_BRIDGE = 1
# environment
I3SOCK = /run/user/1000/i3/ipc-socket.1133
# environment
VSCODE_IPC_HOOK_EXTHOST = /run/user/1000/vscode-ipc-e4b27aa9-2b19-4286-8366-2e7a879372cc.sock
# environment
VSCODE_CWD = /home/tgodden
# environment
WINDOWPATH = 1
# makefile (from 'Makefile', line 2)
O = -g -Wall `sdl2-config --cflags --libs`
# default
MAKE_COMMAND := make
# automatic
@D = $(patsubst %/,%,$(dir $@))
# environment
VSCODE_HANDLES_UNCAUGHT_ERRORS = true
# default
.VARIABLES := 
# environment
PWD = /home/tgodden/Lessen/Informatica/MacTemplate
# automatic
%D = $(patsubst %/,%,$(dir $%))
# environment
MAIL = /var/spool/mail/tgodden
# automatic
^D = $(patsubst %/,%,$(dir $^))
# environment
VSCODE_LOG_STACK = false
# automatic
%F = $(notdir $%)
# environment
VSCODE_CODE_CACHE_PATH = /home/tgodden/.config/Code - OSS/CachedData/ee8c7def80afc00dd6e593ef12f37756d8f504ea
# environment
LANG = C
# environment
XAUTHORITY = /home/tgodden/.Xauthority
# default
.LOADED := 
# default
.INCLUDE_DIRS = /usr/include /usr/local/include /usr/include
# makefile
MAKEFLAGS = pqrR
# makefile
CURDIR := /home/tgodden/Lessen/Informatica/MacTemplate
# environment
VSCODE_PIPE_LOGGING = true
# environment
APPLICATION_INSIGHTS_NO_DIAGNOSTIC_CHANNEL = true
# automatic
*D = $(patsubst %/,%,$(dir $*))
# environment
MFLAGS = -pqrR
# default
.SHELLFLAGS := -c
# automatic
+D = $(patsubst %/,%,$(dir $+))
# environment
VSCODE_CRASH_REPORTER_START_OPTIONS = {"companyName":"Microsoft","productName":"Code - OSS","submitURL":"","uploadToServer":false}
# makefile (from 'Makefile', line 1)
MAKEFILE_LIST := Makefile
# automatic
@F = $(notdir $@)
# environment
VSCODE_VERBOSE_LOGGING = true
# environment
VSCODE_PID = 145265
# environment
XDG_SESSION_TYPE = tty
# automatic
?D = $(patsubst %/,%,$(dir $?))
# automatic
*F = $(notdir $*)
# environment
CHROME_DESKTOP = code-oss.desktop
# environment
DBUS_SESSION_BUS_ADDRESS = unix:path=/run/user/1000/bus
# automatic
<D = $(patsubst %/,%,$(dir $<))
# environment
VSCODE_NLS_CONFIG = {"locale":"en-us","availableLanguages":{},"_languagePackSupport":true}
# environment
BREAKPAD_DUMP_LOCATION = /home/tgodden/.config/Code - OSS/exthost Crash Reports
# default
MAKE_HOST := x86_64-pc-linux-gnu
# makefile
SHELL = /bin/sh
# default
MAKECMDGOALS := all
# environment
SHLVL = 2
# environment
MAKELEVEL := 0
# default
MAKE = $(MAKE_COMMAND)
# environment
PATH = /usr/local/sbin:/usr/local/bin:/usr/bin:/usr/lib/jvm/default/bin
# default
MAKEFILES := 
# environment
MOTD_SHOWN = pam
# automatic
^F = $(notdir $^)
# environment
GRADLE_HOME = /usr/share/java/gradle
# environment
INVOCATION_ID = 83c4d49e3cc54c4581f6665fbaf82886
# environment
VSCODE_LOG_NATIVE = false
# automatic
?F = $(notdir $?)
# environment
XDG_SEAT = seat0
# automatic
+F = $(notdir $+)
# environment
ORIGINAL_XDG_CURRENT_DESKTOP = undefined
# 'override' directive
GNUMAKEFLAGS := 
# environment
LOGNAME = tgodden
# environment
XDG_VTNR = 1
# makefile
.DEFAULT_GOAL := all
# environment
SYSTEMD_EXEC_PID = 498
# environment
DISPLAY = :0
# environment
USER = tgodden
# default
MAKE_VERSION := 4.3
# environment
_ = /usr/bin/make
# environment
MOZ_PLUGIN_PATH = /usr/lib/mozilla/plugins
# environment
XDG_RUNTIME_DIR = /run/user/1000
# environment
JOURNAL_STREAM = 8:15878
# environment
XDG_SESSION_CLASS = user
# environment
VSCODE_AMD_ENTRYPOINT = vs/workbench/services/extensions/node/extensionHostProcess
# environment
HOME = /home/tgodden
# environment
ELECTRON_RUN_AS_NODE = 1
# environment
VSCODE_IPC_HOOK = /run/user/1000/vscode-51e3fb82-1.61.0-main.sock
# environment
TERM = linux
# environment
XDG_SESSION_ID = 1
# default
.RECIPEPREFIX := 
# automatic
<F = $(notdir $<)
# default
SUFFIXES := 
# environment
VSCODE_CLI = 1
# environment
ELECTRON_NO_ATTACH_CONSOLE = 1
# default
.FEATURES := target-specific order-only second-expansion else-if shortest-stem undefine oneshell nocomment grouped-target extra-prereqs archives jobserver output-sync check-symlink guile load
# makefile (from 'Makefile', line 1)
CC = clang
# variable set hash-table stats:
# Load=87/1024=8%, Rehash=0, Collisions=3/122=2%

# Pattern-specific Variable Values

# No pattern-specific variable values.

# Directories

# . (device 26, inode 25507333): 13 files, no impossibilities.

# 13 files, no impossibilities in 1 directories.

# Implicit Rules

# No implicit rules.

# Files

drawing.o: drawing.c drawing.h
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.
#  recipe to execute (from 'Makefile', line 8):
	$(CC) $(O) drawing.c -c -o drawing.o

# Not a target:
drawing.h:
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.

 
# Not a target:
Makefile:
#  Implicit rule search has been done.
#  Last modified 2021-10-13 16:54:59.169440027
#  File has been updated.
#  Successfully updated.

clean:
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.
#  recipe to execute (from 'Makefile', line 14):
	rm *.o main

# Not a target:
.DEFAULT:
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.

all:
#  Command line target.
#  Implicit rule search has not been done.
#  Implicit/static pattern stem: ''
#  File does not exist.
#  File has been updated.
#  Successfully updated.
# automatic
# @ := all
# automatic
# * := 
# automatic
# < := 
# automatic
# + := 
# automatic
# % := 
# automatic
# ^ := 
# automatic
# ? := 
# automatic
# | := 
# variable set hash-table stats:
# Load=8/32=25%, Rehash=0, Collisions=2/13=15%
#  recipe to execute (from 'Makefile', line 5):
	$(MAKE) main

# Not a target:
drawing.c:
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.

# Not a target:
main.c:
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.

main: main.c drawing.o
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.
#  recipe to execute (from 'Makefile', line 11):
	$(CC) $(O) $^  -o main -lSDL2_ttf

# Not a target:
.SUFFIXES:
#  Implicit rule search has not been done.
#  Modification time never checked.
#  File has not been updated.

# files hash-table stats:
# Load=10/1024=1%, Rehash=0, Collisions=0/26=0%
# VPATH Search Paths

# No 'vpath' search paths.

# No general ('VPATH' variable) search path.

# strcache buffers: 1 (0) / strings = 19 / storage = 160 B / avg = 8 B
# current buf: size = 8162 B / used = 160 B / count = 19 / avg = 8 B

# strcache performance: lookups = 35 / hit rate = 45%
# hash-table stats:
# Load=19/8192=0%, Rehash=0, Collisions=0/35=0%
# Finished Make data base on Wed Oct 13 16:56:58 2021

 
